Skip to main content
GET
/
v2
/
invoices
List
curl --request GET \
  --url https://api.paygentic.io/v2/invoices \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paygentic.io/v2/invoices"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paygentic.io/v2/invoices', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "inv_b5c6d7e8f9g0h1i2",
      "autoApprove": true,
      "billingAnchor": "2024-03-01T00:00:00Z",
      "billingCadence": "P1M",
      "gracePeriodEnd": "2024-04-01T23:59:59Z",
      "grandTotal": "0.00",
      "invoiceNumber": null,
      "itemCount": 0,
      "lineItems": null,
      "nextActionAt": null,
      "paidAmount": "0.00",
      "paymentUrl": null,
      "pdfUrl": null,
      "periodEnd": "2024-03-31T23:59:59Z",
      "periodStart": "2024-03-01T00:00:00Z",
      "permalink": null,
      "sequenceNumber": 1,
      "status": "ACTIVE",
      "subscriptionId": "sub_j3k4l5m6n7o8p9q0",
      "subtotal": "0.00",
      "tax": null,
      "totalTax": "0.00",
      "unpaidAmount": "0.00"
    }
  ],
  "pagination": {
    "limit": 10,
    "offset": 0,
    "total": 1
  }
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

limit
integer
default:10

Maximum number of invoices to return

Required range: 1 <= x <= 100
offset
integer
default:0

Number of invoices to skip for pagination

Required range: 0 <= x <= 10000
nextActionAt
enum<string>

Filter for invoices ready for processing (platform only)

Available options:
ready
status
enum<string>

Filter invoices by status

Available options:
ACTIVE,
CLOSING,
CLOSED,
CALCULATING,
DRAFT,
ISSUED,
PAYMENT_FAILED,
PAID,
CANCELLED,
WRITTEN_OFF,
FAILED
subscriptionId
string

Filter invoices by subscription ID Unique identifier for a subscription

Pattern: ^sub_[a-zA-Z0-9]+$
customerId
string

Filter invoices by customer ID. Authorizes against the customer's merchant; takes precedence as the merchant source when combined with other filters. Unique identifier for a customer

Pattern: ^cus_[a-zA-Z0-9]+$
merchantId
string

Filter invoices by merchant ID Unique identifier for an organization

Pattern: ^org_[a-zA-Z0-9]+$

Response

List of invoices

object
enum<string>
required
Available options:
list
data
object[]
required
pagination
object
required

Offset-based pagination response.